function evaluationData = rok_evaluation_full_initialize (numIds)
    % evaluationData = ROK_EVALUATION_FULL_INITIALIZE (numIds)
    %
    % Initialize data structure for full detection/identification
    % evaluation.
    %
    % Input:
    %  - numIds = number of object/person ids
    %
    % Output:
    %  - evaluationData = evaluation data structure, to be used in other
    %    ROK_EVALUATION_FULL_* functions.
    %
    % See also: ROK_EVALUATION_FULL_UPDATE, ROK_EVALUATION_FULL_DISPLAY,
    % ROK_EVALUATION_FULL_LATEX_TABLE
    %
    % Cpyright (C) 2012, Rok Mandeljc <rok.mandeljc@fe.uni-lj.si>
    
    evaluationData.counterDetections = zeros(1, numIds);
    evaluationData.counterFp = zeros(1, numIds);

    evaluationData.counterFn = zeros(1, numIds);
    evaluationData.counterGround = zeros(1, numIds);
    evaluationData.counterAssigned = zeros(numIds, numIds);

    evaluationData.distances = cell(numIds, numIds);
end